aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/ti/matrix-gui/init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/ti/matrix-gui/init')
-rw-r--r--recipes/ti/matrix-gui/init24
1 files changed, 24 insertions, 0 deletions
diff --git a/recipes/ti/matrix-gui/init b/recipes/ti/matrix-gui/init
new file mode 100644
index 0000000000..40b651260c
--- /dev/null
+++ b/recipes/ti/matrix-gui/init
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+matrixgui="/usr/bin/matrix_gui"
+GUI_OPTS="/usr/share/matrix/html/menu_main.html"
+
+test -x "$matrixgui" || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting Matrix GUI application"
+ start-stop-daemon --start --quiet --background --pidfile /var/run/matrix-gui.pid --exec $matrixgui -- $GUI_OPTS
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Matrix GUI application"
+ start-stop-daemon --stop --quiet --pidfile /var/run/matrix-gui.pid
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/matrix-gui {start|stop}"
+ exit 1
+esac
+
+exit 0